0
Answered

Problem after updating from 1.2.2 to 1.4

barskey 2 years ago updated by Lazlo Bonin (Lead Developer) 2 years ago 6

I followed instructions on updating to 1.3 to get my older project updated from 1.2.2 to 1.4. There were a few hiccups along the way, and now that I am back up and running, there are some errors in the Variables units and the display in some preference panes. Any idea how I can fix?



Bolt Version:
Unity Version:
Platform(s):
Scripting Backend:
.NET Version (API Compatibility Level):
GOOD, I'M SATISFIED
Satisfaction mark by barskey 2 years ago

And eventually this shows up in the Console after looking through some graphs:

MissingMethodException: Method 'UnityEditor.EditorGUI.EnumFlagsField' not found.
Ludiq.Inspector.Draw (UnityEngine.Rect position, UnityEngine.GUIContent label) (at C:/Users/lazlo/Projects/Ludiq/Ludiq.Core/Editor/Inspection/Inspector.cs:93)
UnityEngine.Debug:LogException(Exception)
Ludiq.Inspector:Draw(Rect, GUIContent) (at C:/Users/lazlo/Projects/Ludiq/Ludiq.Core/Editor/Inspection/Inspector.cs:142)
Bolt.UnitPortWidget`1:DrawInspector() (at C:/Users/lazlo/Projects/Ludiq/Bolt.Flow/Editor/Ports/UnitPortWidget.cs:815)
Bolt.UnitPortWidget`1:DrawForeground() (at C:/Users/lazlo/Projects/Ludiq/Bolt.Flow/Editor/Ports/UnitPortWidget.cs:563)
Ludiq.Canvas`1:DrawWidgetsForeground()
Ludiq.Canvas`1:OnGUI()
Ludiq.GraphWindow:OnGUI()
UnityEngine.GUIUtility:ProcessEvent(Int32, IntPtr)

Pending Review

Hi Barskey!

Are you using Unity 2017.4 or above? It is required starting with Bolt 1.4.

No, I am using 2017.2. I will update and report back.

+1

I just updated to the latest 2017.4, and now it appears to be rendering and working as expected. Thanks!

Glad you got it working! :)